Bug 53159 - misleading error message when EPERM
misleading error message when EPERM
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
7.3
i386 Linux
low Severity low
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-04 15:10 EDT by James Manning
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-04 15:10:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Manning 2001-09-04 15:10:29 EDT
Description of Problem:
mistakenly ran mkinitrd as normal user first time, got an error message that 
didn't sound like "permission denied", which was what I expected.

jmm@jmm:/home/jmm> mkinitrd /boot/initrd-2.4.7-6.img 2.4.7-6
All of your loopback devices are in use!
jmm@jmm:/home/jmm> sudo mkinitrd /boot/initrd-2.4.7-6.img 2.4.7-6
Password:
jmm@jmm:/home/jmm> 

Version-Release number of selected component (if applicable):
mkinitrd-3.2.4-1

How Reproducible:
100%

Steps to Reproduce:
1.  run mkinitrd as normal user

Actual Results:
loopback devices in use message

Expected Results:
permission denied error message

Additional Information:
N/A
Comment 1 Erik Troan 2002-01-11 11:38:33 EST
added better error to mkinitrd 3.3

Note You need to log in before you can comment on or make changes to this bug.